/******************************************************************************/
/* ST_VDI.C								      */
/******************************************************************************/

#include "st_def.h"

/* -------------------------------------------------------------------------- */

extern	int	gl_scrhandle;

/******************************************************************************/
/******************************************************************************/

/* -----------------------------------------------------------------------------
 */

void	st_v_drawbox(box)
register GRECT	*box;
{
int	pxy[4];

	pxy[0] = box->g_x;
	pxy[1] = box->g_y;
	pxy[2] = box->g_x + box->g_w - 1;
	pxy[3] = box->g_y + box->g_h - 1;

	v_bar(gl_scrhandle, pxy);
	return;
}

/* -----------------------------------------------------------------------------
 */

void	st_v_box(handle, box)
register int	handle;
register int	box[];
{
int	pxy[10];

	pxy[6] = pxy[0] = box[0];
	pxy[3] = pxy[1] = box[1];
	pxy[4] = pxy[2] = box[2];
	pxy[7] = pxy[5] = box[3];

	pxy[8] = box[0];
	pxy[9] = box[1] + 1;

	v_pline(handle, 5, pxy);
	return;
}

/******************************************************************************/
/******************************************************************************/

/* -----------------------------------------------------------------------------
 */

void	st_v_clip_boxon(box)
register GRECT	*box;
{
int	clip[4];

	clip[0] = box->g_x;
	clip[1] = box->g_y;
	clip[2] = box->g_x + box->g_w - 1;
	clip[3] = box->g_y + box->g_h - 1;

	vs_clip(gl_scrhandle, ON, clip);
	return;
}

/* -----------------------------------------------------------------------------
 */

void	st_v_clip_boxoff(box)
register GRECT	*box;
{
int	clip[4];

	clip[0] = box->g_x;
	clip[1] = box->g_y;
	clip[2] = box->g_x + box->g_w - 1;
	clip[3] = box->g_y + box->g_h - 1;

	vs_clip(gl_scrhandle, OFF, clip);
	return;
}

/******************************************************************************/
/* End of ST_VDI.C							      */
/******************************************************************************/
