/******************************************************************************/
/* ST_STR.H								      */
/******************************************************************************/

#ifndef	__HEADER_ST_STR
#define	__HEADER_ST_STR		__HEADER_ST_STR

/* -------------------------------------------------------------------------- */
/* ST_STR.C */

unsigned char	*st_memcpy(unsigned char *, unsigned char *, size_t);

unsigned char	*st_str_ncpy( unsigned char *, unsigned char *, int );
unsigned char	*st_str_toupper( unsigned char * );
unsigned char	*st_str_tolower( unsigned char * );
unsigned char	*st_str_trim( unsigned char * );
unsigned char	*st_str_squeeze( unsigned char * );
unsigned char	*st_str_filename( unsigned char * );

int	st_get_curpath( unsigned char * );
int	st_set_curpath( unsigned char * );

double	st_str_todouble( int, unsigned char * );

/* -------------------------------------------------------------------------- */
/* ST_ALLOC.C */

void	mem_set_load_alloc( void );
void	mem_reset_load_alloc( void );

void	free_arenas( void );

/* -------------------------------------------------------------------------- */

#endif

/******************************************************************************/
/* End of ST_STR.H							      */
/******************************************************************************/
